Skip to main content

URL

The API follows REST conventions. Perform an HTTPS GET to the URL in order to retrieve Transcript Analysis. Currently, the transcript summary will be returned if it is available. The following response formats are supported, where CUID-33 is the call record id.

Authentication

The API uses OAuth to validate access. Pass the OAuth Token in the Authorization header of the request. The OAuth Token is required. OAuth Tokens may be generated from the Manage API Credentials page.

Response

Endpoint: https://mynetwork.invoca.net/call/transcript_analysis/<call_record_id>

GET /call/transcript_analysis/<call_record_id> (summary available)

Get a transcript analysis when a transcript summary is available.

Examples

Get transcript analysis for the given call record CUID-33 and a summary is available Endpoint: https://mynetwork.invoca.net/call/transcript_analysis/CUID-33 Format: application/json Response Code: 200 Response Body:

GET /call/transcript_analysis/<call_record_id> (no summary available)

Get a transcript analysis when no transcript summary is available.

Examples

Get transcript analysis for the given call record CUID-33 and no summary is available Endpoint: https://mynetwork.invoca.net/call/transcript_analysis/CUID-33 Format: application/json Response Code: 200 Response Body:
Last modified on August 18, 2026